Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QDataStream.Version

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QDataStream.Version

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QDataStream

    public static final class QDataStream.Version

extends java.lang.Enum
implements QtEnumerator

This class has no available documentation.

See Also:
  Serialized Form

Field Summary
`static QDataStream.Version` | `Qt_1_0`
`static QDataStream.Version` | `Qt_2_0`
`static QDataStream.Version` | `Qt_2_1`
`static QDataStream.Version` | `Qt_3_0`
`static QDataStream.Version` | `Qt_3_1`
`static QDataStream.Version` | `Qt_3_3`
`static QDataStream.Version` | `Qt_4_0`
`static QDataStream.Version` | `Qt_4_2`
`static QDataStream.Version` | `Qt_4_3`
`static QDataStream.Version` | `Qt_4_4`

Method Summary
`static QDataStream.Version` | `resolve(int value)` Returns the Version constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDataStream.Version` | `valueOf(java.lang.String name)`
`static QDataStream.Version[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Qt_1_0

    public static final QDataStream.Version Qt_1_0

### Qt_2_0

    public static final QDataStream.Version Qt_2_0

### Qt_2_1

    public static final QDataStream.Version Qt_2_1

### Qt_3_0

    public static final QDataStream.Version Qt_3_0

### Qt_3_1

    public static final QDataStream.Version Qt_3_1

### Qt_3_3

    public static final QDataStream.Version Qt_3_3

### Qt_4_0

    public static final QDataStream.Version Qt_4_0

### Qt_4_2

    public static final QDataStream.Version Qt_4_2

### Qt_4_3

    public static final QDataStream.Version Qt_4_3

### Qt_4_4

    public static final QDataStream.Version Qt_4_4

Method Detail

### values

    public static QDataStream.Version[] values()

### valueOf

    public static QDataStream.Version valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDataStream.Version resolve(int value)

  Returns the Version constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD